Table Statistics
curl --request GET \
--url https://partner.peaka.studio/api/v1/data/projects/{projectId}/catalogs/{catalogId}/schemas/{schemaName}/tables/{tableName}/statistics \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner.peaka.studio/api/v1/data/projects/{projectId}/catalogs/{catalogId}/schemas/{schemaName}/tables/{tableName}/statistics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner.peaka.studio/api/v1/data/projects/{projectId}/catalogs/{catalogId}/schemas/{schemaName}/tables/{tableName}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"catalogId": "846085284821991568",
"schemaName": "public",
"tableName": "actor",
"columnStatistics": [
{
"columnName": "actor_id",
"distinctFraction": -1
},
{
"columnName": "first_name",
"distinctFraction": -0.64
},
{
"columnName": "last_name",
"distinctFraction": -0.605
},
{
"columnName": "last_update",
"distinctFraction": 1
}
]
}Data -- Catalogs
Table Statistics
Returns statistical metadata for the specified table. Includes per-column distinctFraction values, which represent the estimated fraction of distinct values in a column relative to the total row count. These statistics are used internally by Peaka’s query optimizer to improve query planning and execution performance.
GET
/
data
/
projects
/
{projectId}
/
catalogs
/
{catalogId}
/
schemas
/
{schemaName}
/
tables
/
{tableName}
/
statistics
Table Statistics


Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Path Parameters
ID of the project
ID of the catalog
Name of the schema
Name of the table